SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0004295: NTOP Segmentation Fault - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004295Endian FirewallOther Servicespublic2012-03-08 15:522013-04-12 16:54
Reportershairozan 
Assigned Tochristian-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusfeedbackResolutionreopened 
PlatformOSOS Version
Product Version2.5 
Target VersionFixed in Version 
Summary0004295: NTOP Segmentation Fault
DescriptionHello everyone,

I have noticed an issue with the 2.5.1 EFW Ntop that I wanted to report. After an out-of-the box installation, I tried to activate the NTOP monitoring system. It would run for a while (3-7 minutes) and then stop.

/etc/init.d/ntop status would return that ntop is dead, but a PID still exists.

I couldn't find any useful logs for ntop outside of monit.log, but it only ever contained information about the system starting and stopping. As such, I launched ntop using the configurations in /etc/ntop/ntop.conf (But I specified to use http 3001 not https 3001).

It seemed to work fine for a while, which blew my mind, but eventually it stopped with the following output:


Thu Mar 8 10:33:02 2012 THREADMGMT[t2967894960]: SIH: Idle host scan thread running [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2976283568]: SFP: Fingerprint scan thread running [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2917264304]: NPS(WAN): pcapDispatch thread starting [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2917264304]: NPS(WAN): pcapDispatch thread running [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2908875696]: NPS(2): Started thread for network packet sniffing [br0]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2900487088]: NPS(3): Started thread for network packet sniffing [eth0]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2908875696]: NPS(br0): pcapDispatch thread starting [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2908875696]: NPS(br0): pcapDispatch thread running [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2900487088]: NPS(eth0): pcapDispatch thread starting [p9813]
Thu Mar 8 10:33:02 2012 THREADMGMT[t2900487088]: NPS(eth0): pcapDispatch thread running [p9813]
./start_ntop.sh: line 2: 9813 Segmentation fault ntop --user ntop --db-file-path /var/ntop --interface eth1,br0,eth0 --trace-level 3 --https-server 0 --http-server 3001 --disable-schedyield --no-fc

It will start every time, but eventually fails with the segmentation fault
Additional InformationAttached is the shell script I was using to launch ntop
TagsNo tags attached.
Attached Files? file icon start_ntop.sh [^] (163 bytes) 2012-03-08 15:52

- Relationships

-  Notes
(0007785)
shairozan (reporter)
2012-04-02 12:12

Excuse me, but how is this resolved? You haven't given me any information as to if it was already fixed, a patch or anything.

Please advise.
(0007807)
christian-endian (administrator)
2012-04-04 20:35

This has been resolved - not yet released, though (thus the bug has been resolved, not closed)!
An update should be out soon.
(0008417)
soportenalucho (reporter)
2013-04-12 16:54

I have several firewall 2.5 and 2.5.1 version with the same problem ... is there any solution?

- Issue History
Date Modified Username Field Change
2012-03-08 15:52 shairozan New Issue
2012-03-08 15:52 shairozan File Added: start_ntop.sh
2012-04-02 09:38 christian-endian Status new => resolved
2012-04-02 09:38 christian-endian Resolution open => fixed
2012-04-02 09:38 christian-endian Assigned To => christian-endian
2012-04-02 12:12 shairozan Note Added: 0007785
2012-04-02 12:12 shairozan Status resolved => feedback
2012-04-02 12:12 shairozan Resolution fixed => reopened
2012-04-04 20:35 christian-endian Note Added: 0007807
2012-04-04 20:35 christian-endian Status feedback => resolved
2012-04-04 20:35 christian-endian Resolution reopened => fixed
2013-02-20 17:11 ianlangdon Note Added: 0008383
2013-02-20 17:11 ianlangdon Status resolved => feedback
2013-02-20 17:11 ianlangdon Resolution fixed => reopened
2013-02-20 17:13 ianlangdon Note Deleted: 0008383
2013-04-12 16:54 soportenalucho Note Added: 0008417

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker